package com.ruoyi.project.training.elearn.service;

import java.util.List;
import com.ruoyi.project.training.elearn.domain.TElExam;

/**
 * 考试Service接口
 * 
 * @author ssy
 * @date 2024-05-29
 */
public interface ITElExamService 
{
    /**
     * 查询考试
     * 
     * @param examId 考试ID
     * @return 考试
     */
    public TElExam selectTElExamById(Long examId);

    /**
     * 查询考试列表
     * 
     * @param tElExam 考试
     * @return 考试集合
     */
    public List<TElExam> selectTElExamList(TElExam tElExam);

    /**
     * 新增考试
     * 
     * @param tElExam 考试
     * @return 结果
     */
    public int insertTElExam(TElExam tElExam);

    /**
     * 修改考试
     * 
     * @param tElExam 考试
     * @return 结果
     */
    public int updateTElExam(TElExam tElExam);

    /**
     * 批量删除考试
     * 
     * @param examIds 需要删除的考试ID
     * @return 结果
     */
    public int deleteTElExamByIds(Long[] examIds);

    /**
     * 删除考试信息
     * 
     * @param examId 考试ID
     * @return 结果
     */
    public int deleteTElExamById(Long examId);
}
